<?php
$title = 'Настройки игры';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {

    echo '<div class="title">Настройки игры</div>';

    if (isset($_POST['settings'])) {
 
        $error = '';

        if (empty($_POST['min'])) {
            $error.= 'Введите минимальную ставку!<br/>';
        }
        elseif ($_POST['min'] < 0.01) {
            $error.= 'Минимальная ставка не может быть меньше 0.01!<br/>';
        }
        if (empty($_POST['users'])) {
            $error.= 'Введите максимальное число игроков!<br/>';
        }
        elseif ($_POST['users'] < 2) {
            $error.= 'Максимальное число игроков не может быть меньше 2!<br/>';
        }
        if (empty($_POST['minuts'])) {
            $error.= 'Введите время игры!<br/>';
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $sys['loto']['min'] = floatval(abs($_POST['min']));
            $sys['loto']['users'] = ceil(abs($_POST['users']));
            $sys['loto']['minuts'] = ceil(abs($_POST['minuts']));

            write_ini_file(FILE_CONFIG, $sys);

            header('Location: /adm/loto');

        }

    }

    echo '<div class="menu">
    <form action="" method="POST">
    Минимальная ставка:<br/><input type="text" name="min" value="'.$sys['loto']['min'].'"><br/>
    Максимальное число игроков:<br/><input type="text" name="users" value="'.$sys['loto']['users'].'"><br/>
    Время игры (в минутах):<br/><input type="text" name="minuts" value="'.$sys['loto']['minuts'].'"><br/>
    <input type="submit" name="settings" value="Сохранить">
    </form></div>';

} else {
    header('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>