<?php

/*
 * RCore
 * Author - rekmixa
 * E-mail - rekmixa@gmail.com
 * Site - http://wordads.ru
 */

require_once("inc/head.php");

if ($count_news > 0) {

    $sql = $connect->query("select * from `news` order by `id` desc limit 1");

    foreach ($sql as $row) {

        echo '<div class="title">'.$row['name'].'</div>
        <div class="menu">
        '.nl2br(smiles(bb(bbyoutube(bblinks(shortText($row['text'], $sys['system']['news_s'])))))).'<br/>
        <div class="chi">'.daytime($row['time']).'</div>
        <div class="butt3"><a href="/news/event/'.$row['id'].'">Подробнее</a></div>
        </div>';

    }

}

if (isset($active)) {

    echo '<div class="title">Кабинет<span class="white-right-block-txt">'.profileLink($user).'</span></div>';

    switch ($act) {

        case 'success':

            echo '<div class="menu"><div class="good">Операция прошла успешно!</div></div>';

            break;

        case 'fail':

            echo '<div class="menu"><div class="forbidden">Произошла ошибка!</div></div>';

    }

    if (!$user['wmid'] && !$user['wmr'])
        echo '<div class="forlink"><a href="/settings/wmid" class="links"><img src="/img/webmoney.png" alt="webmoney">Заполнить реквизиты?</a></div>';

    echo '<div class="menu">
    '.($user['wmid'] ? 'WMID: '.$user['wmid'].'<br/>' : '').
      ($user['wmr'] ? 'Кошелек: <img src="/img/wmr.png" alt="wmr">'.$user['wmr'].'<br/>' : '').'
    Баланс: '.rub($user['money']).'<br/>
    E-mail: '.$user['email'].'<br/>
    </div>
    <div class="forlink"><a href="/plus" class="links"><img src="/img/money.png" alt="money">Пополнить баланс</a></div>
    <div class="forlink"><a href="/minus" class="links"><img src="/img/moneyback.png" alt="moneyback">Вывод средств</a></div>';

    echo '<div class="title">Быстрая лотерея</div>';

    // Банк
    $bank = $connect->query("select sum(`sum`) from `loto`")->fetchColumn() ?? 0;
    // Количество игроков
    $loto = $connect->query("select count(*) from `loto`")->fetchColumn();

    // Сделал ли ставку юзер?
    $stmt_us = $connect->prepare("select * from `loto` where `uid` = ?");
    $stmt_us->execute(array($user['id']));
    $user_lot = $stmt_us->fetch();

    /* Объявляем победителя */

    if (($loto >= 2 || $loto >= $sys['loto']['users']) &&
        $sys['loto']['stamp'] < time() - 60 * $sys['loto']['minuts']) {

        $lotos = [];
        $pers = [];

        $sql = $connect->query("select * from `loto` order by `sum` desc")->fetchAll();

        foreach ($sql as $row) {

            $per = ceil(perLoto($row['sum'], $bank) / 10);

            for ($i = 0; $i < $per; $i++)
                $lotos[] = $row['uid'];

            $pers[$row['uid']] = perLoto($row['sum'], $bank);

        }

        $winner = $lotos[array_rand($lotos)]; // рандом

        $stmt = $connect->prepare("insert into `win_loto` set `time` = ?, `per` = ?, `sum` = ?, `uid` = ?");
        $stmt->execute(array(time(), $pers[$winner], $bank, $winner));

        $connect->exec("delete from `loto`");

        pay($bank, $winner);

        notification('Вы выигрыли в лотерее '.rub($bank), $winner);

        header('Location: /');

        exit;

    }

    /* Игра */

    if ($user_lot) {

        echo '<div class="menu">
        Вы поставили: <span class="wa-span-green">'.rub($user_lot['sum']).'</span><br/>
        Вероятность выигрыша: <span class="wa-span-orange">'.round(perLoto($user_lot['sum'], $bank)).'%</span><br/>
        </div>';

    } else {

        if (isset($_POST['submit'])) {
            $error = '';
            if (empty($_POST['sum'])) {
                $error.= 'Введите ставку!<br/>';
            }
            elseif ($_POST['sum'] < $sys['loto']['min']) {
                $error.= 'Минимальная ставка - '.rub($sys['loto']['min']).'!<br/>';
            }
            elseif ($user['money'] < $_POST['sum']) {
                $error.= 'Недостаточно средств!<br/>';
            }
            if ($error) {
                echo '<div class="menu">'.$error.'</div>';
            } else {
                if ($loto == 1)
                    LotoStamp();
                $sum = floatval(abs($_POST['sum']));
                $stmt = $connect->prepare("insert into `loto` set `sum` = ?, `uid` = ?");
                $stmt->execute(array($sum, $user['id']));
                pay(-$sum, $user['id']);
                header('Location: /');
            }
        }

        echo '<div class="menu">
        <form action="" method="POST">
        Ставка:<br/><input type="text" name="sum" value="'.$sys['loto']['min'].'"><br/>
        <input type="submit" name="submit" value="Принять участие в лотерее">
        </form></div>';

    }

    if ($loto > 0) {

        if ($loto >= 2)
            echo '<div class="menu">
            Призовой фонд: <span class="wa-span-green">'.rub($bank).'</span><br/>
            До конца игры осталось: <b>'.restime($sys['loto']['stamp'] - time() + 60 * $sys['loto']['minuts']).'</b>
            </div>';

        $sql = $connect->query("select * from `loto` order by `sum` desc")->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="menu">'.profileLink($row['uid']).' [<span class="wa-span-green">'.rub($row['sum']).'</span>|<span class="wa-span-orange">'.round(perLoto($row['sum'], $bank)).'%</span>]'.($row['uid'] == $user['id'] ? '<div class="chi">Ваша ставка!</div>' : '').'</div>';
        }

    }

    echo '<div class="title">История победителей ('.$count_win_loto.')</div>';

    if ($count_win_loto == 0) {
        echo '<div class="menu">Записей нет!</div>';
    } else {

        $page = new Pagination($count_win_loto, 10);

        $data = $connect->prepare("select * from `win_loto` order by `id` desc limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            echo '<div class="menu">
            Выигрыш: '.rub($row['sum']).'<br/>
            Вероятность: <span class="wa-span-orange">'.$row['per'].'%</span><br/>
            Пользователь: '.profileLink($row['uid']).'<br/>
            Дата: '.daytime($row['time']).'
            </div>';

        }

        $page->navigation();

    }

} else {

    echo '<div class="title">Авторизация</div>';

    if (isset($_POST['auth'])) {

        $user = user($_POST['login'], 1);

        $error = '';

        if (isset($_SESSION['attempts']) && $_SESSION['attempts'] >= $sys['system']['err_attempts']) {
            if (empty($_POST['code'])) {
                $error.= 'Введите код с картинки!<br/>';
            }
            elseif ($_SESSION['code'] != $_POST['code']) {
                $error.= 'Код с картинки введен неверно!<br/>';
            }
        }
        if (!$error) {
            if (empty($_POST['login'])) {
                $error.= 'Введите логин!<br/>';
            }
            elseif (!$user) {
                $error.= 'Пользователь с данным логином не зарегистрирован!<br/>';
            }
            elseif ($user['ban'] > time()) {
                $error.= 'Этот аккаунт заблокирован!<br/>';
            }
            elseif (!isset($_SESSION['attempts']) && $user['attempts'] >= $sys['system']['err_attempts'] && $user['captcha'] > time() - 3600 * $sys['system']['captcha_time']) {
                $_SESSION['attempts'] = $user['attempts']; // включаем капчу
                $error.= 'Вы не робот?<br/>';
            }
            elseif (empty($_POST['pass'])) {
                $error.= 'Введите пароль!<br/>';
            }
            elseif (!password_verify($_POST['pass'], $user['pass'])) {
                $_SESSION['attempts'] = isset($_SESSION['attempts']) ? $_SESSION['attempts'] + 1 : 1; // включаем капчу
                CaptchaAuth($user); // учёт
                $error.= 'Неверный пароль!<br/>';
            }
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $auth = bin2hex(random_bytes($sys['system']['authkey'])); // ключ авторизации

            if ($authlog->execute(array(time(), $user['id'], $ip, $ua, md5(md5($auth)), $_SESSION['attempts'] ?? 0))) {

                /* авторизация */

                $expire = isset($_POST['save']) ? time() + 3600 * 24 * 365 : 0;

                setcookie('user_id', $user['id']);
                setcookie('user_id', $user['id'], $expire, '/');
                setcookie('pass', $user['pass']);
                setcookie('pass', $user['pass'], $expire, '/');
                setcookie('auth', $auth);
                setcookie('auth', $auth, $expire, '/');

                /* отключаем капчу */

                CaptchaAuth($user, true);

                unset($_SESSION['attempts']);

                header('Location: /');

            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }

    echo '<div class="menu">
    <form action="" method="POST">
    Логин:<br/><input type="text" name="login"><br/>
    Пароль:<br/><input type="password" name="pass"><br/>
    '.(isset($_SESSION['attempts']) && $_SESSION['attempts'] >= $sys['system']['err_attempts'] ? '
    Код с картинки:<img id="captcha" src="/img/code.php" alt="check" onClick="UpCaptcha()"><br/>
    <input type="text" name="code"><br/>' : '').'
    <input type="submit" name="auth" value="Войти">
    <input type="checkbox" name="save" value="1">Запомнить
    </form></div>
    <div class="forlink"><a href="/reg" class="links"><img src="/img/reg.png" alt="reg">Зарегистрироваться</a></div>
    <div class="forlink"><a href="/forgot" class="links"><img src="/img/help.png" alt="help">Забыли пароль?</a></div>';

    echo '<div class="menu"><div class="good">Всего выплачено: '.rub($sum_payment).'</div></div>';

    echo '<div class="menu"><div class="good">Лотерей сыграно: '.$count_win_loto.'</div></div>';

}

/* Меню сайта (для мобилок) */

echo '<div class="d-block d-md-none">';

    include("inc/menu.php");

echo '</div>';

require("inc/foot.php");
?>